<%@page contentType="text/html;charset=UTF-8" language="java"
%><%@taglib prefix="jstl" uri="http://java.sun.com/jsp/jstl/core"
%><%@taglib prefix="spring" uri="http://www.springframework.org/tags/form"
%><!doctype html>

<jsp:useBean id="formular"
             type="net.sevecek.zakladniwebapp.StrankaSValidaciForm"
             scope="request"/>

<jstl:url var="cssLink" value="/css/styly.css"/>            <%-- jstl:url je zpusob jak ziskat absolutni adresu na soubor v ramci webove aplikaci. Pak lze pouzit ${cssLink} --%>
<jstl:url var="faviconLink" value="/images/favicon.png"/>   <%-- v absolutni adrese bude totiz zohledneno jmeno webove aplikace, napr. /MujWeb  --%>
<jstl:url var="rootLink" value="/"/>

<html lang="cs">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="stylesheet" href="${cssLink}"/>
    <link rel="icon" href="${faviconLink}"/>
    <title>Formulář s validací | Java 2 web</title>
</head>
<body>
    <div class="page">
        <h1>Zadejte <strong>KLADNÁ</strong> čísla pro výpočty</h1>

        <form method="post">
            <label>
                Číslo 1:
                <input name="cislo1" value="${formular.cislo1}"><spring:errors path="formular.cislo1"/>
            </label>
            <br/>
            <label>
                Číslo 2:
                <input name="cislo2" value="${formular.cislo2}"><spring:errors path="formular.cislo2"/>
            </label>
            <br/>
            <input type="submit" value="Odeslat">
        </form>
    </div>
</body>
</html>
